Disambiguation pages should not be listed in Special:Lonelypages
Closed, ResolvedPublic

Description

Disambiguation pages should not be listed in [[Special:Lonelypages]] because
there's a conflict of interest: disambiguations should be solved and they don't
necessarily need to be linked to, so they could be "lonely" (that's what
[[Special:Disambiguations]] is trying to achieve). Since there is already a
trigger for a page to be listed as a disambig (the template), I think it's
fairly easy to exclude those pages from the list of lonely pages.


Version: unspecified
Severity: enhancement
See Also: T8651

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz3483.
dungodung created this task.Via LegacySep 16 2005, 6:53 PM
bzimport added a comment.Via ConduitDec 17 2005, 7:24 AM

webmaster wrote:

More to this:

As disambiguation pages are a class unto themselves, they should be
considered 'categorized' and not show up here: [[Special:Uncategorizedpages]]...

bzimport added a comment.Via ConduitFeb 4 2006, 1:48 AM

webmaster wrote:

Might this have something to do with bug 4302?

dungodung added a comment.Via ConduitFeb 4 2006, 11:51 AM

Something, but still a different issue.

bzimport added a comment.Via ConduitJan 8 2007, 1:28 AM

mashiah.davidson wrote:

Have a connection to #8516

bzimport added a comment.Via ConduitFeb 23 2007, 10:38 PM

mashiah.davidson wrote:

The meaning of a disambiguation supposes this page is not to be linked directly from
other pages. This way all the pages linked from disambiguation pages only are orphaned
and not linked to other main namespace pages.

As well as the disambiguation pages are not to be listed and links from them are not to
be threated as links from main namespace, it is expedient to change the lonelypages
collection algorithm or put all the disambiguation pages into a separate table in
Database.

bzimport added a comment.Via ConduitAug 3 2012, 5:15 PM

romaine.wiki wrote:

I hope this bug can be viewed again, should not be that hard: all pages with on it a template mentioned at http://nl.wikipedia.org/wiki/MediaWiki:Disambiguationspage should be left out of the special page https://en.wikipedia.org/wiki/Special:LonelyPages

Nischayn22 added a comment.Via ConduitFeb 6 2013, 5:43 AM

Currently I think disambiguation pages are not handled any differently in code, so this won't be trivial to support.

waldyrious added a comment.Via ConduitFeb 6 2013, 2:53 PM

(In reply to comment #7)

Currently I think disambiguation pages are not handled any differently in
code,
so this won't be trivial to support.

They will be soon, hopefully. Marking this as dependent on bug 6754.

Nischayn22 added a comment.Via ConduitFeb 6 2013, 3:12 PM

(In reply to comment #8)

They will be soon, hopefully. Marking this as dependent on bug 6754.

They are creating an extension for that, if that's the case it won't help this bug :(

waldyrious added a comment.Via ConduitFeb 6 2013, 3:55 PM

(In reply to comment #9)

They are creating an extension for that, if that's the case it won't help
this bug :(

Actually, this has already been implemented both as an extension and as a core change. There's a thread in wikitech-l[1] to discuss which approach should be used. I suggest you (and anyone else interested in this bug) to comment there voting for the core change option :)

See also [[mw:Suggestions for extensions to be integrated#Extension:Disambiguator]].

[1] http://www.gossamer-threads.com/lists/wiki/wikitech/327285

waldyrious added a comment.Via ConduitFeb 6 2013, 3:57 PM

(In reply to comment #10)

See also [[mw:Suggestions for extensions to be
integrated#Extension:Disambiguator]].

Hm, that didn't get linked. Let me try again:
[[mw:Suggestions for extensions to be integrated]] (section "Extension:Disambiguator")

greg added a comment.Via ConduitJun 25 2013, 7:32 PM

(In reply to comment #10)

(In reply to comment #9)
> They are creating an extension for that, if that's the case it won't help
> this bug :(

Actually, this has already been implemented both as an extension and as a
core
change. There's a thread in wikitech-l[1] to discuss which approach should be
used. I suggest you (and anyone else interested in this bug) to comment there
voting for the core change option :)

See also [[mw:Suggestions for extensions to be
integrated#Extension:Disambiguator]].

[1] http://www.gossamer-threads.com/lists/wiki/wikitech/327285

Looks like the rough consensus on wikitech-l was as an extension but the rough consensus on the mediawiki "Suggestions for extensions to be integrated" page was for in Core. I don't think we have a decision yet, 5 months later :-). These two issues are also a bit off topic for this bug report, from my understanding.

Also, on ENWP Special:Lonelypage it says:
"Updates for this page are currently disabled. Data here will not presently be refreshed." And the last update of the page was in January of '13. However, other MW wikis do use and keep that page updated/turned on.

Just updating the bug...

kaldari added a comment.Via ConduitJul 8 2013, 10:43 PM

The disambiguation functionality ended up being implemented as an extension. That makes this bug a bit more challenging to fix, but not impossible. A hook could be added to LonelyPagesPage::getQueryInfo() allowing extensions to override the query parameters. Then a handler for that hook could be added to the Disambiguator extension. As long as the extension is installed, the disambiguation state is actually queryable in the database (which is 90% of the solution).

gerritbot added a comment.Via ConduitJan 8 2014, 8:03 PM

Change 106318 had a related patch set uploaded by Kaldari:
Add hook to allow extensions to modify the LonelyPages query

https://gerrit.wikimedia.org/r/106318

gerritbot added a comment.Via ConduitJan 8 2014, 9:54 PM

Change 106435 had a related patch set uploaded by Kaldari:
Modify the Special:LonelyPages query to ignore disambiguation pages

https://gerrit.wikimedia.org/r/106435

gerritbot added a comment.Via ConduitJan 8 2014, 10:14 PM

Change 106318 merged by jenkins-bot:
Add hook to allow extensions to modify the LonelyPages query

https://gerrit.wikimedia.org/r/106318

gerritbot added a comment.Via ConduitJan 18 2014, 12:30 AM

Change 106435 merged by jenkins-bot:
Modify the Special:LonelyPages query to ignore disambiguation pages

https://gerrit.wikimedia.org/r/106435

Add Comment